<?php
session_start();
?>

<!doctype html>

<html lang="en">
<head>
  <meta charset="utf-8">
  <link rel="icon" href="logo.png">
  <title>InterMap</title>
  <meta name="description" content="InterMap">
  <meta name="author" content="InterMap">
  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:700,400&amp;subset=cyrillic,latin,greek,vietnamese">
</head>

<body>
<script src="snap/dist/snap.js"></script>
<div id="paper">
    <svg id="svg" version="1.1" xmlns="http://www.w3.org/2000/svg"></svg>
</div>

<div id="interface">
    <button class="niceButton orangeButton">UPLOAD MAP</button>
    <button class="niceButton orangeButton">SAVE INTERACTIVE MAP</button>
    <button class="niceButton orangeButton">GLOBAL OPTIONS</button>
    <div id="bar"></div>
    <button class="niceButton blueButton">ACTION 1</button>
    <button class="niceButton blueButton">ACTION 2</button>
    <button class="niceButton blueButton">ACTION 3</button>
    <button class="niceButton greenButton">+ ADD ACTION</button>
</div>

<script>
var zoomSpeed = 1.1;

var s = Snap("#svg");

var paper = document.getElementById("svg");
/*if (paper.addEventListener) {
	paper.addEventListener("mousewheel", mouseWheelHandler, false);
	paper.addEventListener("DOMMouseScroll", mouseWheelHandler, false);
}
else {
	paper.attachEvent("onmousewheel", mouseWheelHandler);
}*/

Snap.load("test2.svg", function (f) {
    s.append(f);
    
    console.log(f.selectAll("path"));
});

</script>

</body>
</html>